package com.fjhx.sale.controller.claim;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.dto.AccountRunningWaterDto;
import com.fjhx.account.entity.account.dto.AccountRunningWaterSelectDto;
import com.fjhx.account.entity.account.po.AccountRunningWater;
import com.fjhx.account.entity.account.vo.AccountRunningWaterVo;
import com.fjhx.account.service.account.AccountRunningWaterService;
import com.fjhx.common.constant.SourceConstant;
import com.fjhx.sale.service.claim.SaleAccountRunningWaterService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;


/**
 * <p>
 * 账户资金流水表 前端控制器
 * </p>
 *
 * @author
 * @since 2023-04-06
 */
@DS(SourceConstant.ACCOUNT)
@RestController
@RequestMapping("/sale/accountRunningWater")
public class SaleAccountRunningWaterController {

    @Autowired
    private SaleAccountRunningWaterService saleAccountRunningWaterService;

    /**
     * 账户资金流水表分页
     */
    @PostMapping("/page")
    public Page<AccountRunningWaterVo> page(@RequestBody AccountRunningWaterSelectDto dto) {
        return saleAccountRunningWaterService.getPage(dto);
    }

}
