package com.fjhx.item.entity.product.po;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class ProductInfoEhsdJson {
    /**
     * 产品名称英文名
     */
    private String nameEnglish;
    /**
     * 销售指导价格
     */
    private BigDecimal price;
    /**
     * 产品成本价
     */
    private BigDecimal costPrice;
//    /**
//     * 材质英文
//     */
//    private String material;
//    /**
//     * 材质中文
//     */
//    private String materialChinese;
//    /**
//     * 产品型号 英文
//     */
//    private String productModelEn;
    /**
     * 产品尺寸 长
     */
    private String productLong;
    /**
     * 产品尺寸 宽
     */
    private String productWide;
    /**
     * 产品尺寸 高
     */
    private String productHigh;
//    /**
//     * 装箱尺寸 长
//     */
//    private String packagLong;
//    /**
//     * 装箱尺寸 宽
//     */
//    private String packagWide;
//    /**
//     * 装箱尺寸 高
//     */
//    private String packagHigh;
    /**
     * 内包装方式
     */
    private String innerPackMethod;
    /**
     * 外包装方式
     */
    private String outerPackMethod;
    /**
     * 净重（单位g）
     */
    private Double netWeight;

//    /**
//     * 毛重（单位g）
//     */
//    private Double grossWeight;

    /**
     * 海关编码
     */
    private String hsCode;
//    /**
//     * MOQ（最低订购量）
//     */
//    private Integer moq;
//    /**
//     * 销售单位
//     */
//    private String salesUnit;
//    /**
//     * 出入库单位
//     */
//    private String issueReceiptUnit;
//    /**
//     * 换算比例
//     */
//    private Double conversionScale;
//    /**
//     * 安全库存
//     */
//    private BigDecimal safetyStock;
//    /**
//     * 采购周期（单位：天）
//     */
//    private Integer procurementCycle;
//    /**
//     * 质检合格率
//     */
//    private BigDecimal qualityQualifiedRate;
//    /**
//     * （云仓）出入库规则：0、不启用；1、一物一码；2、一物一码&先入先出
//     */
//    private Integer firstInFirstOut;
//    /**
//     * 状态
//     */
//    private Integer status;
//    /**
//     * 评估状态
//     */
//    private Integer assessStatus;
//    /**
//     * 产品分类英文名
//     */
//    private String categoryEnName;
//    /**
//     * 分类中文名
//     */
//    private String categoryCnName;
    /**
     * 客户id
     */
    private String customerId;
    /**
     * 客户名称
     */
    private String customerName;
//    /**
//     * 图片列表
//     */
//    private List<ObsFile> imgList;
//    /**
//     * 附件列表
//     */
//    private List<ObsFile> attachmentList;

    /**
     * 产品类型 1公司产品 2客户产品
     */
    private String type;

    /**
     * 成本币种
     */
    private String costCurrency;
    /**
     * 销售币种
     */
    private String currency;
}
