package com.fjhx.sale.entity.contract.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 外销合同表列表查询入参实体
 *
 * @author
 * @since 2023-04-17
 */
@Getter
@Setter
public class ContractSelectDto extends BaseSelectDto {

    /**
     * 审批状态
     */
    private String status;

    /**
     * 归属公司ID
     */
    private String sellCorporationId;

    /**
     * 客户Id
     */
    private String customerId;

    /**
     * 客户Id
     */
    private String customerName;

    /**
     * 业务员
     */
    private String userName;

    /**
     * 业务员ID
     */
    private String userId;

    /**
     * 到款状态
     */
    private String refundStatusNew;

    /**
     * 合同类型
     */
    private String contractType;

    /**
     * 订单状态
     */
    private Integer orderStatus;

    /**
     * 跟单类型
     */
    private Integer documentaryType;

    /**
     * 跟单搜索条件----0:默认 1：无记录 2：有记录
     */
    private Integer documentarySearch;

    /**
     * 合同编号
     */
    private String contractCode;

    /**
     * 产品id过滤
     */
    private String productId;
}
