package com.fjhx.sale.entity.purchase.vo;

import com.fjhx.sale.entity.purchase.po.EhsdPurchaseProduct;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * ehsd采购产品表列表查询返回值实体
 *
 * @author 
 * @since 2023-05-17
 */
@Getter
@Setter
public class EhsdPurchaseProductVo extends EhsdPurchaseProduct {

    /**
     * 合同ID
     */
    private Long contractId;

    /**
     * 金额-货品
     */
    private String currencyAmount;

    /**
     * 币种
     */
    private String currency;

    /**
     * 产品定义
     */
    private Integer definition;

    private BigDecimal rate;

    /**
     * 待采购数量
     */
    private BigDecimal expendQuantity;

    /**
     * 分类ID
     */
    private Long productCategoryId;

    /**
     * 分类ID集合
     */
    private String productCategoryIds;

    /**
     * 产品编号
     */
    private String productCode;
    /**
     * 产品规格
     */
    private String productSpec;
}
